Subject: [Dots] "enumerations vs identities" RE: DOTS telemetry questions

From: <[email-masked]>
Date: Mon, 24 Feb 2020 07:49:53 +0000

Re-,

Fair.

Identities are straightforward to extend the module in the future but it increases the size as we need to add the namespace prefix. I added a note to discuss this tradeoff in Section 4.7:

   The DOTS telemetry module (Section 9) uses "enumerations" rather than
   "identities" to define units, samples, and intervals because
   otherwise the namespace identifier "ietf-dots-telemetry" must be
   included when a telemetry attribute is included (e.g., in a
   mitigation efficacy update).  The use of "identities" is thus
   suboptimal from a message compactness standpoint.

The updated draft is available at: https://github.com/boucadair/draft-dots-telemetry/blob/master/draft-ietf-dots-telemetry-03.txt

Cheers,
Med

De : Jon Shallow [mailto:[email-masked]]
Envoyé : vendredi 21 février 2020 16:46
À : BOUCADAIR Mohamed TGI/OLN; Konda, Tirumaleswar Reddy; kaname nishizuka; [email-masked]
Objet : RE: [Dots] DOTS telemetry questions

Hi,

See inline Jon1>

Regards

Jon

1)      why do we not have a "enum megabit-ps" in "typedef unit" in the YANG Module?

[Med]  This can be added to the list as 'units()' are negotiated. *-bytes are more used for aggregates, but let's be consistent and have both bit/bytes in the units.

Jon> Megabytes works with aggregates, megabits works with pipes.

[Med] I added the unit to the module. BTW, in order to easily define new units, I updated the module so that units are defined as identities, not enumerations. The updated mapping table is: https://github.com/boucadair/draft-dots-telemetry/blob/master/mapping-table.txt (or https://github.com/boucadair/draft-dots-telemetry/blob/master/draft-ietf-dots-telemetry-03.txt)

Jon1> Typo in megabite-ps

Jon1> I am not sure about the usage of identityref.  https://tools.ietf.org/html/rfc7951#section-6.8 states that the value is represented as a string (currently the CBOR mapping entry says it is an integer), and furthermore it is likely that the namespace-qualified form is required. This is a huge increase in the number of bytes needed whenever unit (and measurement-interval Etc.) are used.  I think that this is a bad change.